-- Paraselene's WildRace
-- Version 0.5.2

ParaseleneWildRace = {
    appName = "WildRace",
    appNameFull = "Paraselene's WildRace",
    appIcon = "IconSprites:Icon_MapNode_ControlPoint_Blue",
    appVersion = {
        major = 0,
        minor = 5,
        patch = 2,
        full = "0.5.2"
    },

    minAboutWindowWidth = 300,
    minAboutWindowHeight = 244,

    minClientWindowWidth = 300,
    minClientWindowHeight = 304,

    editorWindowWidth = 256,
    editorWindowHeight = 304,

    minFilesWindowWidth = 480,
    minFilesWindowHeight = 304,

    optionsWindowWidth = 280,
    optionsWindowHeight = 304,

    shareWindowWidth = 256,
    shareWindowHeight = 304,

    treeListItemHeight = 17,
    treeListItemIndent = 17,

    waypointListItemHeight = 17,

    commChannel = "WildRace",
    commPrefix = "WR",
    commPrefixLength = 2, -- Length of commPrefix.
    commVersion = "01", -- Kept as a string to simplify use. Not used in "version" communication.
    commVersionLength = 2, -- Length of commVersion.
    commTypeLength = 3, -- Length of the following type strings.
    commType = {
        share = "SHR"
    },
    commShareType = {
        request = "REQ",
        accept = "ACC",
        data = "DAT",
        dataOk = "DOK"
    },
    commPacketIdMax = 999,
    commPacketIdDigits = 3, -- Enough digits to represent commPacketIdMax.

    lockDisabledIcon = "CRB_AMPs:spr_AMPs_LockStretch_Grey",
    lockEnabledIcon = "CRB_AMPs:spr_AMPs_LockStretch_Blue",

    checkmarkIcon = "CRB_Basekit:kitIcon_Holo_Checkmark",
    houseIcon = "IconSprites:Icon_MapNode_Map_PlayerHouse",
    noIcon = "CRB_CharacterCreateSprites:sprCharC_ClassFooterIconDisabled",

    selectedItemBorder = "MTX:UI_BK3_MTX_CalloutBanner_ItemGreen",

    disabledToolbarButtonFrame = "CRB_Basekit:kitBtn_Holo_IconBaseDisabled",
    enabledToolbarButtonFrame = "CRB_Basekit:kitBtn_Holo_IconBaseNormal",
    enabledToolbarButtonFlybyFrame = "CRB_Basekit:kitBtn_Holo_IconBaseFlyby",
    pressedToolbarButtonFrame = "CRB_Basekit:kitBtn_Holo_IconBasePressed",
    pressedToolbarButtonFlybyFrame = "CRB_Basekit:kitBtn_Holo_IconBasePressedFlyby",

    startIcon = "HologramSprites:HoloIndicator_Green",
    stopIcon = "HologramSprites:HoloIndicator_Red",

    broadcastRed = 0xFF0000,
    broadcastGreen = 0x00FF00,
    broadcastBlue = 0x0000FF,

    disabledTextColor = "Disabled",
    enabledTextColor = "UI_WindowTextDefault",

    buttonStyles = {
        normal = 0,
        red = 1
    },

    disabledButtonBorder = "CRB_Basekit:kitBtn_HoloDisabled",
    enabledButtonBorder = "CRB_Basekit:kitBtn_HoloNormal",
    enabledButtonFlybyBorder = "CRB_Basekit:kitBtn_HoloFlyby",

    disabledRedButtonBorder = "CRB_Basekit:kitBtn_Holo_RedDisabled",
    enabledRedButtonBorder = "CRB_Basekit:kitBtn_Holo_RedNormal",
    enabledRedButtonFlybyBorder = "CRB_Basekit:kitBtn_Holo_RedFlyby",

    uncheckedCheckboxIcon = "BK3:btnHolo_CheckNormal",
    uncheckedCheckboxFlybyIcon = "BK3:btnHolo_CheckFlyby",
    checkedCheckboxIcon = "BK3:btnHolo_CheckPressed",
    checkedCheckboxFlybyIcon = "BK3:btnHolo_CheckPressedFlyby",

    uncheckedRadioIcon = "BK3:btnHolo_Radio_BigNormal",
    uncheckedRadioFlybyIcon = "BK3:btnHolo_Radio_BigFlyby",
    checkedRadioIcon = "BK3:btnHolo_Radio_BigPressed",
    checkedRadioFlybyIcon = "BK3:btnHolo_Radio_BigPressedFlyby",

    treeExpandFolderIcon = "CRB_UIKitSprites:CRB_TreeControlExpand",
    treeCollapseFolderIcon = "CRB_UIKitSprites:CRB_TreeControlCollapse",

    treeFolderIcon = "CRB_BaseBarSprites:btnHUD_InventoryBagNormal",
    treeCourseIcon = "CRB_Basekit:kitIcon_Holo_Interfaces",

    maxRaceTime = 359999, -- 99:99:99 in seconds.
    maxRaceTimeDigits = 6, -- Enough digits to represent maxRaceTime.

    backgrounds = {
        holo = 1,
        circuit = 2
    },
    backgroundSprites = {
        "AbilitiesSprites:spr_StatVertProgBase", -- index = 1 = backgrounds.holo
        "Crafting_CircuitSprites:sprCircuit_FrameInnerBG" -- index = 2 = backgrounds.circuit
    },

    buttonClickSound = Sound.PlayUIButtonMetalLarge,

    commRequestSound = Sound.PlayUIMemory1,
    commAcceptSound = Sound.PlayUIMemory1,
    commErrorSound = Sound.PlayUIMemoryLose,
    commCompleteSound = Sound.PlayUIMemoryWin,

    waypointFaction = {
        all = 0,
        dominion = 1,
        exile = 2
    },

    folderItemTypes = {
        folder = 1,
        course = 2
    }
}
