-- Paraselene's WildRace
-- Version 0.5.2

require "GameLib"

ParaseleneWildRace.Point = {}

function ParaseleneWildRace.Point:new(o)
    if type(o) ~= "table" then
        return nil
    end

    local i = {}
    setmetatable(i, self)
    self.__index = self

    i.x = ((type(o.x) == "number") and o.x) or nil
    i.y = ((type(o.y) == "number") and o.y) or nil
    i.z = ((type(o.z) == "number") and o.z) or nil

    return (i:IsValid() and i) or nil
end

function ParaseleneWildRace.Point.GetCurrentPosition()
    local me = GameLib.GetPlayerUnit()
    local position = me and me:GetPosition()
    return position and ParaseleneWildRace.Point:new{
        x = position.x,
        y = position.y,
        z = position.z
    }
end

function ParaseleneWildRace.Point.IsEqual(point1, point2)
    return (point1 == point2) or
           (point1 and point2 and
            (point1.x == point2.x) and
            (point1.y == point2.y) and
            (point1.z == point2.z))
end

function ParaseleneWildRace.Point:IsValid()
    return (self.x ~= nil) and
           (self.y ~= nil) and
           (self.z ~= nil)
end

function ParaseleneWildRace.Point:Save()
    return {
        x = self.x,
        y = self.y,
        z = self.z
    }
end
