-- Paraselene's WildRace
-- Version 0.5.2

ParaseleneWildRace.TrackMasterOptions = {}

function ParaseleneWildRace.TrackMasterOptions:new(o)
    if type(o) ~= "table" then
        return nil
    end

    local i = {}
    setmetatable(i, self)
    self.__index = self

    if type(o.enabled) == "boolean" then
        i.enabled = o.enabled
    end

    i.lineNumber = ((type(o.lineNumber) == "number") and o.lineNumber) or nil

    return (i:IsValid() and i) or nil
end

function ParaseleneWildRace.TrackMasterOptions:IsValid()
    return (self.enabled ~= nil) and
           (self.lineNumber ~= nil)
end

function ParaseleneWildRace.TrackMasterOptions:Save()
    return {
        enabled = self.enabled,
        lineNumber = self.lineNumber
    }
end
