-- Paraselene's WildRace
-- Version 0.5.2

ParaseleneWildRace.WindowInfo = {}

function ParaseleneWildRace.WindowInfo:new(o)
    if type(o) ~= "table" then
        return nil
    end

    local i = {}
    setmetatable(i, self)
    self.__index = self 

    i.left = ((type(o.left) == "number") and o.left) or nil
    i.top = ((type(o.top) == "number") and o.top) or nil
    i.width = ((type(o.width) == "number") and o.width) or nil
    i.height = ((type(o.height) == "number") and o.height) or nil

    if type(o.locked) == "boolean" then
        i.locked = o.locked
    end

    return (i:IsValid() and i) or nil
end

function ParaseleneWildRace.WindowInfo:IsValid()
    return (self.left ~= nil) and
           (self.top ~= nil)
           -- self.width, self.height, and self.locked can be nil.
end

function ParaseleneWildRace.WindowInfo:Save()
    return {
        left = self.left,
        top = self.top,
        width = self.width,
        height = self.height,
        locked = self.locked
    }
end
