-- Paraselene's WildRace
-- Version 0.5.2

require "Apollo"

ParaseleneWildRace.WorldMarker = {}

function ParaseleneWildRace.WorldMarker:new(app)
    local i = {}
    setmetatable(i, self)
    self.__index = self

    i.app = app

    i.wndWorldMarker = Apollo.LoadForm(i.app.doc, "wndWorldMarker", "InWorldHudStratum", i)
    if not i.wndWorldMarker then
        local message = ParaseleneWildRace.appName ..
            ": Error: Could not load the world marker."
        ChatSystemLib.PostOnChannel(ChatSystemLib.ChatChannel_System, message)
        Apollo.AddAddonErrorText(ParaseleneWildRaceInstance, message)
        return nil
    end

    return i
end

function ParaseleneWildRace.WorldMarker:DrawMarker(target)
    if self.target then
        self:EraseMarker()
    end
    local vector = Vector3.New(target.point.x, target.point.y, target.point.z)
    self.wndWorldMarker:SetWorldLocation(vector)
    self.wndWorldMarker:FindChild("edtLabel"):SetText(target.name)
    self.wndWorldMarker:Show(true, true)
    self.target = target
end

function ParaseleneWildRace.WorldMarker:EraseMarker()
    self.wndWorldMarker:Show(false, true)
    self.target = nil
end

function ParaseleneWildRace.WorldMarker:SetTarget(target, currentPosition)
    if target then
        if currentPosition and
           target.isVisitable and 
           (target.zone == currentPosition.zone) and
           (target.inHousing == currentPosition.inHousing) then
            if not ParaseleneWildRace.Waypoint.IsEqual(target, self.target) then
                self:DrawMarker(target)
            end
        elseif self.target then
            self:EraseMarker()
        end
    elseif self.target then
        self:EraseMarker()
    end
end
